package io.tswf.minecraft.blockventure.core.transmutation.expansion

import io.tswf.transmutations.common.annotation.ClassReference
import io.tswf.transmutations.expansion.annotations.Expand
import it.unimi.dsi.fastutil.longs.LongOpenHashSet
import net.minecraft.server.world.ServerWorld

@Expand(targets = @ClassReference(ServerWorld))
class ExpansionServerWorldPersistedChunksStorage implements IServerWorldPersistedChunksAccess {

    volatile LongOpenHashSet serializedPersistedChunkPositions = new LongOpenHashSet()

    @Override
    LongOpenHashSet getSerializedPersistedChunkPositions() {
        return serializedPersistedChunkPositions
    }
}

interface IServerWorldPersistedChunksAccess {
    LongOpenHashSet getSerializedPersistedChunkPositions()
}
